Page MenuHomePhabricator

Does not support rendering scores to PDF
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://en.wikipedia.org/wiki/Help:Score or another page where <score> is being used
  2. Retrieve the page as PDF using Special:Book

Actual output: The wiki markup is rendered instead of the actual score in PDF.

Expected result: Score should be rendered as outputted on the actual page, not as in the wiki markup.

I'm assuming this is a problem with the Score extension (not Collection extension) as math is rendered correctly in PDF.


Version: unspecified
Severity: normal

Details

Reference
bz63589

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:18 AM
bzimport added a project: Collection.
bzimport set Reference to bz63589.
bzimport added a subscriber: Unknown Object (MLST).
Glaisher created this task.Apr 6 2014, 9:04 AM
He7d3r added a comment.Apr 8 2014, 8:33 PM

This was also reported on
https://www.mediawiki.org/wiki/Thread:Extension_talk:Score/Pdf
and I confirm the PDF generated for the page [[Help:Score]],
https://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=download&collection_id=ed15e84f0c4596b6&writer=rl&return_to=Help%3AScore
does not contains the images of the scores (just their code).

ovasileva moved this task from Triage to Tracking on the Proton board.EditedSep 11 2017, 11:59 AM
ovasileva added subscribers: ABorbaWMF, ovasileva.

@ABorbaWMF - could you confirm if this is also an issue with Electron:

  • open article from any browser
  • select "print to PDF"
  • select single-column

If there's no issue - feel free to close the task. Thanks!

I think this one worked. I did not see the bug when it was happening, so it is hard to pinpoint. I was able to view the article in the description and I tried a couple other articles as well.



ABorbaWMF closed this task as Resolved.Sep 18 2017, 10:45 PM
ABorbaWMF claimed this task.